SDL Library Documentation
Prev |  | Next

# SDL_SetClipRect

## Name

SDL_SetClipRect -- Sets the clipping rectangle for a surface.

## Synopsis

    #include "SDL.h"

``void SDL_SetClipRect`(SDL_Surface *surface, SDL_Rect *rect);`

## Description

Sets the clipping rectangle for a surface. When this surface is the destination of a blit, only the area within the clip rectangle will be drawn into.

The rectangle pointed to by `rect` will be clipped to the edges of the surface so that the clip rectangle for a surface can never fall outside the edges of the surface.

If `rect` is `NULL` the clipping rectangle will be set to the full size of the surface.

## See Also

`SDL_GetClipRect`, `SDL_BlitSurface`, SDL_Surface

Prev | Home | Next
SDL_SetAlpha | Up | SDL_GetClipRect